////////////////////////////////////////////////////////////////////////////
// Modulo        : z_conditional_fields.js
// Criado por    : Daniel Becker Bighelini
// Modificado em : 07/03/2017
// Objetivo      : Possibilitar a exibicao condicional de campos em formulários
//				   HTMPL em modo edicao.
////////////////////////////////////////////////////////////////////////////
// z_conditional_fields.js,v 1.0 2017/03/07 15:22:45

function zShowAttr(zName)
{
	for (var attrReq in _dtl.attrReqArray) { // Localizando nome do elemento HTML correspondente
		if (attrReq == zName) {
			var zId = _dtl.attrReqArray[attrReq].fld_id != "" ? _dtl.attrReqArray[attrReq].fld_id : _dtl.attrReqArray[attrReq].req_id.replace('req', 'df');
			var zElem = document.getElementById(zId);
			var zElemName = zElem.name;
			var zNode = findFieldAndLabelFromTable(zElemName,1);
			if (zNode != null) {
				if (_dtl.attrReqArray[attrReq].stay_req == true) zSetRequired(zId, 1); // Definindo obrigatoriedade
				zSetVisibility(zNode, "visible");	// Exibindo elementos
			}
			break;
		}
	}
}


function zHideAttr(zName)
{
	for (var attrReq in _dtl.attrReqArray) { // Localizando nome do elemento HTML correspondente
		if (attrReq == zName) {
			var zId = _dtl.attrReqArray[attrReq].fld_id != "" ? _dtl.attrReqArray[attrReq].fld_id : _dtl.attrReqArray[attrReq].req_id.replace('req', 'df');
			var zElem = document.getElementById(zId);
			var zElemName = zElem.name;
			var zNode = findFieldAndLabelFromTable(zElemName,1);
			if (zNode != null) {
				if (_dtl.attrReqArray[attrReq].stay_req == true) zSetRequired(zId, 0); // Removendo obrigatoriedade
				zSetVisibility(zNode, "hidden");		// Ocultando elementos
				detailReportValidation(zElem, 0, "");	// Removendo ultima mensagem de erro de validacao
				//zElem.value = "";						// Limpa o valor do elemento KEY
				//detailClearSetField(zElem);			// Limpa o valor do elemento SET
			}
			break;
		}
	}
}


function zSetVisibility(zObj, zStyle)
{
	for (var i in zObj) zObj[i].style.visibility = zStyle; // Definindo visibilidade
}


function zSetRequired(zId, zVal)
{
	for (var attr in _dtl.fieldToValidate) {
		if (_dtl.fieldToValidate[attr].id == zId) {
			_dtl.fieldToValidate[attr].is_required = zVal; // Definindo obrigatoriedade
			break;
		}
	}
}

jQuery(document).ready(function() {
	// Exibe os campos condicionalmente
	if (_dtl.edit) zCheckVisibility();
})
